Package com.xebialabs.xlrelease.user

## Enum User

- java.lang.Object
- - java.lang.Enum<User>
  - - com.xebialabs.xlrelease.user.User

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<User>`

      public enum User
      extends java.lang.Enum<User>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `AUTHENTICATED_USER` |
    `LOG_OUTPUT` |
    `SYSTEM` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.lang.String` | `getName()` |
    `static User` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static User[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTHENTICATED_USER

          public static final User AUTHENTICATED_USER

    - #### SYSTEM

          public static final User SYSTEM

    - #### LOG_OUTPUT

          public static final User LOG_OUTPUT

  - ### Method Detail

    - #### values

          public static User[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (User c : User.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static User valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getName

          public abstract java.lang.String getName()